diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/applications/helper/udp-client-server-helper.cc ns-3.40/src/applications/helper/udp-client-server-helper.cc
--- ns-3.39/src/applications/helper/udp-client-server-helper.cc	2023-07-05 14:23:47.677426800 -0700
+++ ns-3.40/src/applications/helper/udp-client-server-helper.cc	2023-09-27 13:30:37.614839000 -0700
@@ -48,7 +48,7 @@
 UdpServerHelper::Install(NodeContainer c)
 {
     ApplicationContainer apps;
-    for (NodeContainer::Iterator i = c.Begin(); i != c.End(); ++i)
+    for (auto i = c.Begin(); i != c.End(); ++i)
     {
         Ptr<Node> node = *i;
 
@@ -93,7 +93,7 @@
 UdpClientHelper::Install(NodeContainer c)
 {
     ApplicationContainer apps;
-    for (NodeContainer::Iterator i = c.Begin(); i != c.End(); ++i)
+    for (auto i = c.Begin(); i != c.End(); ++i)
     {
         Ptr<Node> node = *i;
         Ptr<UdpClient> client = m_factory.Create<UdpClient>();
@@ -133,7 +133,7 @@
 UdpTraceClientHelper::Install(NodeContainer c)
 {
     ApplicationContainer apps;
-    for (NodeContainer::Iterator i = c.Begin(); i != c.End(); ++i)
+    for (auto i = c.Begin(); i != c.End(); ++i)
     {
         Ptr<Node> node = *i;
         Ptr<UdpTraceClient> client = m_factory.Create<UdpTraceClient>();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/applications/helper/udp-echo-helper.cc ns-3.40/src/applications/helper/udp-echo-helper.cc
--- ns-3.39/src/applications/helper/udp-echo-helper.cc	2023-07-05 14:23:47.677426800 -0700
+++ ns-3.40/src/applications/helper/udp-echo-helper.cc	2023-09-27 13:30:37.614839000 -0700
@@ -55,7 +55,7 @@
 UdpEchoServerHelper::Install(NodeContainer c) const
 {
     ApplicationContainer apps;
-    for (NodeContainer::Iterator i = c.Begin(); i != c.End(); ++i)
+    for (auto i = c.Begin(); i != c.End(); ++i)
     {
         apps.Add(InstallPriv(*i));
     }
@@ -129,7 +129,7 @@
 UdpEchoClientHelper::Install(NodeContainer c) const
 {
     ApplicationContainer apps;
-    for (NodeContainer::Iterator i = c.Begin(); i != c.End(); ++i)
+    for (auto i = c.Begin(); i != c.End(); ++i)
     {
         apps.Add(InstallPriv(*i));
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/applications/model/application-packet-probe.cc ns-3.40/src/applications/model/application-packet-probe.cc
--- ns-3.39/src/applications/model/application-packet-probe.cc	2023-07-05 14:23:47.677426800 -0700
+++ ns-3.40/src/applications/model/application-packet-probe.cc	2023-09-27 13:30:37.614839000 -0700
@@ -20,7 +20,7 @@
  * Modified by: Mitch Watrous (watrous@u.washington.edu)
  */
 
-#include "ns3/application-packet-probe.h"
+#include "application-packet-probe.h"
 
 #include "ns3/config.h"
 #include "ns3/log.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/applications/model/bulk-send-application.h ns-3.40/src/applications/model/bulk-send-application.h
--- ns-3.39/src/applications/model/bulk-send-application.h	2023-07-05 14:23:47.677426800 -0700
+++ ns-3.40/src/applications/model/bulk-send-application.h	2023-09-27 13:30:37.614839000 -0700
@@ -20,11 +20,12 @@
 #ifndef BULK_SEND_APPLICATION_H
 #define BULK_SEND_APPLICATION_H
 
+#include "seq-ts-size-header.h"
+
 #include "ns3/address.h"
 #include "ns3/application.h"
 #include "ns3/event-id.h"
 #include "ns3/ptr.h"
-#include "ns3/seq-ts-size-header.h"
 #include "ns3/traced-callback.h"
 
 namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/applications/model/onoff-application.h ns-3.40/src/applications/model/onoff-application.h
--- ns-3.39/src/applications/model/onoff-application.h	2023-07-05 14:23:47.677426800 -0700
+++ ns-3.40/src/applications/model/onoff-application.h	2023-09-27 13:30:37.614839000 -0700
@@ -24,12 +24,13 @@
 #ifndef ONOFF_APPLICATION_H
 #define ONOFF_APPLICATION_H
 
+#include "seq-ts-size-header.h"
+
 #include "ns3/address.h"
 #include "ns3/application.h"
 #include "ns3/data-rate.h"
 #include "ns3/event-id.h"
 #include "ns3/ptr.h"
-#include "ns3/seq-ts-size-header.h"
 #include "ns3/traced-callback.h"
 
 namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/applications/model/packet-loss-counter.cc ns-3.40/src/applications/model/packet-loss-counter.cc
--- ns-3.39/src/applications/model/packet-loss-counter.cc	2023-07-05 14:23:47.677426800 -0700
+++ ns-3.40/src/applications/model/packet-loss-counter.cc	2023-09-27 13:30:37.614839000 -0700
@@ -113,14 +113,14 @@
     NS_LOG_FUNCTION(this << seqNum);
     for (uint32_t i = m_lastMaxSeqNum + 1; i <= seqNum; i++)
     {
-        if (GetBit(i) != 1)
+        if (!GetBit(i))
         {
             NS_LOG_INFO("Packet lost: " << i - (m_bitMapSize * 8));
             m_lost++;
         }
-        SetBit(i, 0);
+        SetBit(i, false);
     }
-    SetBit(seqNum, 1);
+    SetBit(seqNum, true);
     if (seqNum > m_lastMaxSeqNum)
     {
         m_lastMaxSeqNum = seqNum;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/applications/model/packet-sink.h ns-3.40/src/applications/model/packet-sink.h
--- ns-3.39/src/applications/model/packet-sink.h	2023-07-05 14:23:47.705427000 -0700
+++ ns-3.40/src/applications/model/packet-sink.h	2023-09-27 13:30:37.614839000 -0700
@@ -20,13 +20,14 @@
 #ifndef PACKET_SINK_H
 #define PACKET_SINK_H
 
+#include "seq-ts-size-header.h"
+
 #include "ns3/address.h"
 #include "ns3/application.h"
 #include "ns3/event-id.h"
 #include "ns3/inet-socket-address.h"
 #include "ns3/inet6-socket-address.h"
 #include "ns3/ptr.h"
-#include "ns3/seq-ts-size-header.h"
 #include "ns3/traced-callback.h"
 
 #include <unordered_map>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/applications/model/seq-ts-size-header.h ns-3.40/src/applications/model/seq-ts-size-header.h
--- ns-3.39/src/applications/model/seq-ts-size-header.h	2023-07-05 14:23:47.705427000 -0700
+++ ns-3.40/src/applications/model/seq-ts-size-header.h	2023-09-27 13:30:37.614839000 -0700
@@ -20,7 +20,7 @@
 #ifndef SEQ_TS_SIZE_HEADER_H
 #define SEQ_TS_SIZE_HEADER_H
 
-#include <ns3/seq-ts-header.h>
+#include "seq-ts-header.h"
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/applications/model/three-gpp-http-client.cc ns-3.40/src/applications/model/three-gpp-http-client.cc
--- ns-3.39/src/applications/model/three-gpp-http-client.cc	2023-07-05 14:23:47.705427000 -0700
+++ ns-3.40/src/applications/model/three-gpp-http-client.cc	2023-09-27 13:30:37.614839000 -0700
@@ -20,6 +20,8 @@
 
 #include "three-gpp-http-client.h"
 
+#include "three-gpp-http-variables.h"
+
 #include <ns3/callback.h>
 #include <ns3/double.h>
 #include <ns3/inet-socket-address.h>
@@ -30,7 +32,6 @@
 #include <ns3/simulator.h>
 #include <ns3/socket.h>
 #include <ns3/tcp-socket-factory.h>
-#include <ns3/three-gpp-http-variables.h>
 #include <ns3/uinteger.h>
 
 NS_LOG_COMPONENT_DEFINE("ThreeGppHttpClient");
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/applications/model/three-gpp-http-client.h ns-3.40/src/applications/model/three-gpp-http-client.h
--- ns-3.39/src/applications/model/three-gpp-http-client.h	2023-07-05 14:23:47.705427000 -0700
+++ ns-3.40/src/applications/model/three-gpp-http-client.h	2023-09-27 13:30:37.614839000 -0700
@@ -21,9 +21,10 @@
 #ifndef THREE_GPP_HTTP_CLIENT_H
 #define THREE_GPP_HTTP_CLIENT_H
 
+#include "three-gpp-http-header.h"
+
 #include <ns3/address.h>
 #include <ns3/application.h>
-#include <ns3/three-gpp-http-header.h>
 #include <ns3/traced-callback.h>
 
 namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/applications/model/three-gpp-http-server.cc ns-3.40/src/applications/model/three-gpp-http-server.cc
--- ns-3.39/src/applications/model/three-gpp-http-server.cc	2023-07-05 14:23:47.705427000 -0700
+++ ns-3.40/src/applications/model/three-gpp-http-server.cc	2023-09-27 13:30:37.614839000 -0700
@@ -20,6 +20,8 @@
 
 #include "three-gpp-http-server.h"
 
+#include "three-gpp-http-variables.h"
+
 #include <ns3/callback.h>
 #include <ns3/config.h>
 #include <ns3/inet-socket-address.h>
@@ -31,7 +33,6 @@
 #include <ns3/socket.h>
 #include <ns3/tcp-socket-factory.h>
 #include <ns3/tcp-socket.h>
-#include <ns3/three-gpp-http-variables.h>
 #include <ns3/uinteger.h>
 
 NS_LOG_COMPONENT_DEFINE("ThreeGppHttpServer");
@@ -632,8 +633,7 @@
 bool
 ThreeGppHttpServerTxBuffer::IsSocketAvailable(Ptr<Socket> socket) const
 {
-    std::map<Ptr<Socket>, TxBuffer_t>::const_iterator it;
-    it = m_txBuffer.find(socket);
+    auto it = m_txBuffer.find(socket);
     return (it != m_txBuffer.end());
 }
 
@@ -659,8 +659,7 @@
 {
     NS_LOG_FUNCTION(this << socket);
 
-    std::map<Ptr<Socket>, TxBuffer_t>::iterator it;
-    it = m_txBuffer.find(socket);
+    auto it = m_txBuffer.find(socket);
     NS_ASSERT_MSG(it != m_txBuffer.end(), "Socket " << socket << " cannot be found.");
 
     if (!Simulator::IsExpired(it->second.nextServe))
@@ -683,8 +682,7 @@
 {
     NS_LOG_FUNCTION(this << socket);
 
-    std::map<Ptr<Socket>, TxBuffer_t>::iterator it;
-    it = m_txBuffer.find(socket);
+    auto it = m_txBuffer.find(socket);
     NS_ASSERT_MSG(it != m_txBuffer.end(), "Socket " << socket << " cannot be found.");
 
     if (!Simulator::IsExpired(it->second.nextServe))
@@ -715,8 +713,7 @@
 {
     NS_LOG_FUNCTION(this);
 
-    std::map<Ptr<Socket>, TxBuffer_t>::iterator it;
-    for (it = m_txBuffer.begin(); it != m_txBuffer.end(); ++it)
+    for (auto it = m_txBuffer.begin(); it != m_txBuffer.end(); ++it)
     {
         if (!Simulator::IsExpired(it->second.nextServe))
         {
@@ -738,8 +735,7 @@
 bool
 ThreeGppHttpServerTxBuffer::IsBufferEmpty(Ptr<Socket> socket) const
 {
-    std::map<Ptr<Socket>, TxBuffer_t>::const_iterator it;
-    it = m_txBuffer.find(socket);
+    auto it = m_txBuffer.find(socket);
     NS_ASSERT_MSG(it != m_txBuffer.end(), "Socket " << socket << " cannot be found.");
     return (it->second.txBufferSize == 0);
 }
@@ -747,8 +743,7 @@
 Time
 ThreeGppHttpServerTxBuffer::GetClientTs(Ptr<Socket> socket) const
 {
-    std::map<Ptr<Socket>, TxBuffer_t>::const_iterator it;
-    it = m_txBuffer.find(socket);
+    auto it = m_txBuffer.find(socket);
     NS_ASSERT_MSG(it != m_txBuffer.end(), "Socket " << socket << " cannot be found.");
     return it->second.clientTs;
 }
@@ -756,8 +751,7 @@
 ThreeGppHttpHeader::ContentType_t
 ThreeGppHttpServerTxBuffer::GetBufferContentType(Ptr<Socket> socket) const
 {
-    std::map<Ptr<Socket>, TxBuffer_t>::const_iterator it;
-    it = m_txBuffer.find(socket);
+    auto it = m_txBuffer.find(socket);
     NS_ASSERT_MSG(it != m_txBuffer.end(), "Socket " << socket << " cannot be found.");
     return it->second.txBufferContentType;
 }
@@ -765,8 +759,7 @@
 uint32_t
 ThreeGppHttpServerTxBuffer::GetBufferSize(Ptr<Socket> socket) const
 {
-    std::map<Ptr<Socket>, TxBuffer_t>::const_iterator it;
-    it = m_txBuffer.find(socket);
+    auto it = m_txBuffer.find(socket);
     NS_ASSERT_MSG(it != m_txBuffer.end(), "Socket " << socket << " cannot be found.");
     return it->second.txBufferSize;
 }
@@ -774,8 +767,7 @@
 bool
 ThreeGppHttpServerTxBuffer::HasTxedPartOfObject(Ptr<Socket> socket) const
 {
-    std::map<Ptr<Socket>, TxBuffer_t>::const_iterator it;
-    it = m_txBuffer.find(socket);
+    auto it = m_txBuffer.find(socket);
     NS_ASSERT_MSG(it != m_txBuffer.end(), "Socket " << socket << " cannot be found");
     return it->second.hasTxedPartOfObject;
 }
@@ -791,8 +783,7 @@
                   "Unable to write an object without a proper Content-Type.");
     NS_ASSERT_MSG(objectSize > 0, "Unable to write a zero-sized object.");
 
-    std::map<Ptr<Socket>, TxBuffer_t>::iterator it;
-    it = m_txBuffer.find(socket);
+    auto it = m_txBuffer.find(socket);
     NS_ASSERT_MSG(it != m_txBuffer.end(), "Socket " << socket << " cannot be found.");
     NS_ASSERT_MSG(it->second.txBufferSize == 0,
                   "Cannot write to Tx buffer of socket "
@@ -809,8 +800,7 @@
 {
     NS_LOG_FUNCTION(this << socket << clientTs.As(Time::S));
 
-    std::map<Ptr<Socket>, TxBuffer_t>::iterator it;
-    it = m_txBuffer.find(socket);
+    auto it = m_txBuffer.find(socket);
     NS_ASSERT_MSG(it != m_txBuffer.end(), "Socket " << socket << " cannot be found.");
     it->second.nextServe = eventId;
     it->second.clientTs = clientTs;
@@ -823,8 +813,7 @@
 
     NS_ASSERT_MSG(amount > 0, "Unable to consume zero bytes.");
 
-    std::map<Ptr<Socket>, TxBuffer_t>::iterator it;
-    it = m_txBuffer.find(socket);
+    auto it = m_txBuffer.find(socket);
     NS_ASSERT_MSG(it != m_txBuffer.end(), "Socket " << socket << " cannot be found.");
     NS_ASSERT_MSG(it->second.txBufferSize >= amount,
                   "The requested amount is larger than the current buffer size.");
@@ -846,8 +835,7 @@
 ThreeGppHttpServerTxBuffer::PrepareClose(Ptr<Socket> socket)
 {
     NS_LOG_FUNCTION(this << socket);
-    std::map<Ptr<Socket>, TxBuffer_t>::iterator it;
-    it = m_txBuffer.find(socket);
+    auto it = m_txBuffer.find(socket);
     NS_ASSERT_MSG(it != m_txBuffer.end(), "Socket " << socket << " cannot be found.");
     it->second.isClosing = true;
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/applications/model/three-gpp-http-server.h ns-3.40/src/applications/model/three-gpp-http-server.h
--- ns-3.39/src/applications/model/three-gpp-http-server.h	2023-07-05 14:23:47.705427000 -0700
+++ ns-3.40/src/applications/model/three-gpp-http-server.h	2023-09-27 13:30:37.614839000 -0700
@@ -21,13 +21,14 @@
 #ifndef THREE_GPP_HTTP_SERVER_H
 #define THREE_GPP_HTTP_SERVER_H
 
+#include "three-gpp-http-header.h"
+
 #include <ns3/address.h>
 #include <ns3/application.h>
 #include <ns3/event-id.h>
 #include <ns3/nstime.h>
 #include <ns3/ptr.h>
 #include <ns3/simple-ref-count.h>
-#include <ns3/three-gpp-http-header.h>
 #include <ns3/traced-callback.h>
 
 #include <map>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/applications/model/three-gpp-http-variables.cc ns-3.40/src/applications/model/three-gpp-http-variables.cc
--- ns-3.39/src/applications/model/three-gpp-http-variables.cc	2023-07-05 14:23:47.705427000 -0700
+++ ns-3.40/src/applications/model/three-gpp-http-variables.cc	2023-09-27 13:30:37.614839000 -0700
@@ -267,7 +267,7 @@
 ThreeGppHttpVariables::GetNumOfEmbeddedObjects()
 {
     // Validate parameters.
-    const uint32_t upperBound = static_cast<uint32_t>(m_numOfEmbeddedObjectsRng->GetBound());
+    const auto upperBound = static_cast<uint32_t>(m_numOfEmbeddedObjectsRng->GetBound());
     if (upperBound <= m_numOfEmbeddedObjectsScale)
     {
         NS_FATAL_ERROR("`NumOfEmbeddedObjectsMax` attribute "
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/bridge/helper/bridge-helper.cc ns-3.40/src/bridge/helper/bridge-helper.cc
--- ns-3.39/src/bridge/helper/bridge-helper.cc	2023-07-05 14:23:47.709426900 -0700
+++ ns-3.40/src/bridge/helper/bridge-helper.cc	2023-09-27 13:30:37.618839000 -0700
@@ -57,7 +57,7 @@
     devs.Add(dev);
     node->AddDevice(dev);
 
-    for (NetDeviceContainer::Iterator i = c.Begin(); i != c.End(); ++i)
+    for (auto i = c.Begin(); i != c.End(); ++i)
     {
         NS_LOG_LOGIC("**** Add BridgePort " << *i);
         dev->AddBridgePort(*i);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/bridge/model/bridge-channel.cc ns-3.40/src/bridge/model/bridge-channel.cc
--- ns-3.39/src/bridge/model/bridge-channel.cc	2023-07-05 14:23:47.709426900 -0700
+++ ns-3.40/src/bridge/model/bridge-channel.cc	2023-09-27 13:30:37.618839000 -0700
@@ -52,9 +52,7 @@
 {
     NS_LOG_FUNCTION_NOARGS();
 
-    for (std::vector<Ptr<Channel>>::iterator iter = m_bridgedChannels.begin();
-         iter != m_bridgedChannels.end();
-         iter++)
+    for (auto iter = m_bridgedChannels.begin(); iter != m_bridgedChannels.end(); iter++)
     {
         *iter = nullptr;
     }
@@ -71,9 +69,7 @@
 BridgeChannel::GetNDevices() const
 {
     uint32_t ndevices = 0;
-    for (std::vector<Ptr<Channel>>::const_iterator iter = m_bridgedChannels.begin();
-         iter != m_bridgedChannels.end();
-         iter++)
+    for (auto iter = m_bridgedChannels.begin(); iter != m_bridgedChannels.end(); iter++)
     {
         ndevices += (*iter)->GetNDevices();
     }
@@ -84,9 +80,7 @@
 BridgeChannel::GetDevice(std::size_t i) const
 {
     std::size_t ndevices = 0;
-    for (std::vector<Ptr<Channel>>::const_iterator iter = m_bridgedChannels.begin();
-         iter != m_bridgedChannels.end();
-         iter++)
+    for (auto iter = m_bridgedChannels.begin(); iter != m_bridgedChannels.end(); iter++)
     {
         if ((i - ndevices) < (*iter)->GetNDevices())
         {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/bridge/model/bridge-net-device.cc ns-3.40/src/bridge/model/bridge-net-device.cc
--- ns-3.39/src/bridge/model/bridge-net-device.cc	2023-07-05 14:23:47.709426900 -0700
+++ ns-3.40/src/bridge/model/bridge-net-device.cc	2023-09-27 13:30:37.618839000 -0700
@@ -80,8 +80,7 @@
 BridgeNetDevice::DoDispose()
 {
     NS_LOG_FUNCTION_NOARGS();
-    for (std::vector<Ptr<NetDevice>>::iterator iter = m_ports.begin(); iter != m_ports.end();
-         iter++)
+    for (auto iter = m_ports.begin(); iter != m_ports.end(); iter++)
     {
         *iter = nullptr;
     }
@@ -163,8 +162,7 @@
     else
     {
         NS_LOG_LOGIC("No learned state: send through all ports");
-        for (std::vector<Ptr<NetDevice>>::iterator iter = m_ports.begin(); iter != m_ports.end();
-             iter++)
+        for (auto iter = m_ports.begin(); iter != m_ports.end(); iter++)
         {
             Ptr<NetDevice> port = *iter;
             if (port != incomingPort)
@@ -193,8 +191,7 @@
                  << ", protocol=" << protocol << ", src=" << src << ", dst=" << dst << ")");
     Learn(src, incomingPort);
 
-    for (std::vector<Ptr<NetDevice>>::iterator iter = m_ports.begin(); iter != m_ports.end();
-         iter++)
+    for (auto iter = m_ports.begin(); iter != m_ports.end(); iter++)
     {
         Ptr<NetDevice> port = *iter;
         if (port != incomingPort)
@@ -227,7 +224,7 @@
     if (m_enableLearning)
     {
         Time now = Simulator::Now();
-        std::map<Mac48Address, LearnedState>::iterator iter = m_learnState.find(source);
+        auto iter = m_learnState.find(source);
         if (iter != m_learnState.end())
         {
             LearnedState& state = iter->second;
@@ -420,8 +417,7 @@
     // data was not unicast or no state has been learned for that mac
     // address => flood through all ports.
     Ptr<Packet> pktCopy;
-    for (std::vector<Ptr<NetDevice>>::iterator iter = m_ports.begin(); iter != m_ports.end();
-         iter++)
+    for (auto iter = m_ports.begin(); iter != m_ports.end(); iter++)
     {
         pktCopy = packet->Copy();
         Ptr<NetDevice> port = *iter;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/bridge/model/bridge-net-device.h ns-3.40/src/bridge/model/bridge-net-device.h
--- ns-3.39/src/bridge/model/bridge-net-device.h	2023-07-05 14:23:47.709426900 -0700
+++ ns-3.40/src/bridge/model/bridge-net-device.h	2023-09-27 13:30:37.618839000 -0700
@@ -17,7 +17,8 @@
 #ifndef BRIDGE_NET_DEVICE_H
 #define BRIDGE_NET_DEVICE_H
 
-#include "ns3/bridge-channel.h"
+#include "bridge-channel.h"
+
 #include "ns3/mac48-address.h"
 #include "ns3/net-device.h"
 #include "ns3/nstime.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/brite/helper/brite-topology-helper.cc ns-3.40/src/brite/helper/brite-topology-helper.cc
--- ns-3.39/src/brite/helper/brite-topology-helper.cc	2023-07-05 14:23:47.713427000 -0700
+++ ns-3.40/src/brite/helper/brite-topology-helper.cc	2023-09-27 13:30:37.618839000 -0700
@@ -186,10 +186,9 @@
 {
     NS_LOG_FUNCTION(this);
     brite::Graph* g = m_topology->GetGraph();
-    std::list<brite::Edge*>::iterator el;
     std::list<brite::Edge*> edgeList = g->GetEdges();
 
-    for (el = edgeList.begin(); el != edgeList.end(); el++)
+    for (auto el = edgeList.begin(); el != edgeList.end(); el++)
     {
         BriteEdgeInfo edgeInfo;
         edgeInfo.edgeId = (*el)->GetId();
@@ -418,9 +417,7 @@
     }
 
     // create nodes
-    for (BriteTopologyHelper::BriteNodeInfoList::iterator it = m_briteNodeInfoList.begin();
-         it != m_briteNodeInfoList.end();
-         ++it)
+    for (auto it = m_briteNodeInfoList.begin(); it != m_briteNodeInfoList.end(); ++it)
     {
         m_nodes.Add(CreateObject<Node>(GetSystemNumberForAs((*it).asId)));
         m_numNodes++;
@@ -468,9 +465,7 @@
         m_nodesByAs.push_back(new NodeContainer());
     }
 
-    for (BriteTopologyHelper::BriteEdgeInfoList::iterator it = m_briteEdgeInfoList.begin();
-         it != m_briteEdgeInfoList.end();
-         ++it)
+    for (auto it = m_briteEdgeInfoList.begin(); it != m_briteEdgeInfoList.end(); ++it)
     {
         // Set the link delay
         // The brite value for delay is given in milliseconds
@@ -492,9 +487,7 @@
     NS_LOG_INFO("Created " << m_numEdges << " edges in BRITE topology");
 
     // iterate through all nodes and add leaf nodes for each AS
-    for (BriteTopologyHelper::BriteNodeInfoList::iterator it = m_briteNodeInfoList.begin();
-         it != m_briteNodeInfoList.end();
-         ++it)
+    for (auto it = m_briteNodeInfoList.begin(); it != m_briteNodeInfoList.end(); ++it)
     {
         m_nodesByAs[(*it).asId]->Add(m_nodes.Get((*it).nodeId));
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/buildings/examples/outdoor-group-mobility-example.cc ns-3.40/src/buildings/examples/outdoor-group-mobility-example.cc
--- ns-3.39/src/buildings/examples/outdoor-group-mobility-example.cc	2023-07-05 14:23:47.713427000 -0700
+++ ns-3.40/src/buildings/examples/outdoor-group-mobility-example.cc	2023-09-27 13:30:37.618839000 -0700
@@ -111,7 +111,7 @@
         return;
     }
     uint32_t index = 1;
-    for (BuildingList::Iterator it = BuildingList::Begin(); it != BuildingList::End(); ++it)
+    for (auto it = BuildingList::Begin(); it != BuildingList::End(); ++it)
     {
         ++index;
         Box box = (*it)->GetBoundaries();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/buildings/examples/outdoor-random-walk-example.cc ns-3.40/src/buildings/examples/outdoor-random-walk-example.cc
--- ns-3.39/src/buildings/examples/outdoor-random-walk-example.cc	2023-07-05 14:23:47.713427000 -0700
+++ ns-3.40/src/buildings/examples/outdoor-random-walk-example.cc	2023-09-27 13:30:37.618839000 -0700
@@ -44,7 +44,7 @@
         return;
     }
     uint32_t index = 0;
-    for (BuildingList::Iterator it = BuildingList::Begin(); it != BuildingList::End(); ++it)
+    for (auto it = BuildingList::Begin(); it != BuildingList::End(); ++it)
     {
         ++index;
         Box box = (*it)->GetBoundaries();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/buildings/helper/building-allocator.h ns-3.40/src/buildings/helper/building-allocator.h
--- ns-3.39/src/buildings/helper/building-allocator.h	2023-07-05 14:23:47.713427000 -0700
+++ ns-3.40/src/buildings/helper/building-allocator.h	2023-09-27 13:30:37.618839000 -0700
@@ -22,7 +22,8 @@
 #ifndef BUILDING_ALLOCATOR_H
 #define BUILDING_ALLOCATOR_H
 
-#include "ns3/building-container.h"
+#include "building-container.h"
+
 #include "ns3/object-factory.h"
 #include "ns3/object.h"
 #include "ns3/position-allocator.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/buildings/helper/building-container.cc ns-3.40/src/buildings/helper/building-container.cc
--- ns-3.39/src/buildings/helper/building-container.cc	2023-07-05 14:23:47.713427000 -0700
+++ ns-3.40/src/buildings/helper/building-container.cc	2023-09-27 13:30:37.618839000 -0700
@@ -77,7 +77,7 @@
 void
 BuildingContainer::Add(BuildingContainer other)
 {
-    for (Iterator i = other.Begin(); i != other.End(); i++)
+    for (auto i = other.Begin(); i != other.End(); i++)
     {
         m_buildings.push_back(*i);
     }
@@ -100,7 +100,7 @@
 BuildingContainer::GetGlobal()
 {
     BuildingContainer c;
-    for (BuildingList::Iterator i = BuildingList::Begin(); i != BuildingList::End(); ++i)
+    for (auto i = BuildingList::Begin(); i != BuildingList::End(); ++i)
     {
         c.Add(*i);
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/buildings/helper/building-position-allocator.cc ns-3.40/src/buildings/helper/building-position-allocator.cc
--- ns-3.39/src/buildings/helper/building-position-allocator.cc	2023-07-05 14:23:47.713427000 -0700
+++ ns-3.40/src/buildings/helper/building-position-allocator.cc	2023-09-27 13:30:37.618839000 -0700
@@ -19,11 +19,12 @@
  */
 #include "building-position-allocator.h"
 
+#include "buildings-helper.h"
+
 #include "ns3/boolean.h"
 #include "ns3/box.h"
 #include "ns3/building-list.h"
 #include "ns3/building.h"
-#include "ns3/buildings-helper.h"
 #include "ns3/double.h"
 #include "ns3/enum.h"
 #include "ns3/log.h"
@@ -81,8 +82,7 @@
     {
         if (m_buildingListWithoutReplacement.empty())
         {
-            for (BuildingList::Iterator bit = BuildingList::Begin(); bit != BuildingList::End();
-                 ++bit)
+            for (auto bit = BuildingList::Begin(); bit != BuildingList::End(); ++bit)
             {
                 m_buildingListWithoutReplacement.push_back(*bit);
             }
@@ -188,7 +188,7 @@
         NS_LOG_INFO("Position " << position);
 
         bool inside = false;
-        for (BuildingList::Iterator bit = BuildingList::Begin(); bit != BuildingList::End(); ++bit)
+        for (auto bit = BuildingList::Begin(); bit != BuildingList::End(); ++bit)
         {
             if ((*bit)->IsInside(position))
             {
@@ -254,7 +254,7 @@
 
     if (m_roomListWithoutReplacement.empty())
     {
-        for (BuildingList::Iterator bit = BuildingList::Begin(); bit != BuildingList::End(); ++bit)
+        for (auto bit = BuildingList::Begin(); bit != BuildingList::End(); ++bit)
         {
             NS_LOG_LOGIC("building " << (*bit)->GetId());
             for (uint32_t rx = 1; rx <= (*bit)->GetNRoomsX(); ++rx)
@@ -326,7 +326,7 @@
     m_rand = CreateObject<UniformRandomVariable>();
     m_nodeIt = m_nodes.Begin();
     // this is needed to make sure the building models associated with c have been initialized
-    for (NodeContainer::Iterator it = m_nodes.Begin(); it != m_nodes.End(); ++it)
+    for (auto it = m_nodes.Begin(); it != m_nodes.End(); ++it)
     {
         Ptr<MobilityModel> mm = (*it)->GetObject<MobilityModel>();
         NS_ASSERT_MSG(mm, "no mobility model aggregated to this node");
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/buildings/helper/buildings-helper.cc ns-3.40/src/buildings/helper/buildings-helper.cc
--- ns-3.39/src/buildings/helper/buildings-helper.cc	2023-07-05 14:23:47.713427000 -0700
+++ ns-3.40/src/buildings/helper/buildings-helper.cc	2023-09-27 13:30:37.618839000 -0700
@@ -35,7 +35,7 @@
 void
 BuildingsHelper::Install(NodeContainer c)
 {
-    for (NodeContainer::Iterator i = c.Begin(); i != c.End(); ++i)
+    for (auto i = c.Begin(); i != c.End(); ++i)
     {
         Install(*i);
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/buildings/model/building-list.cc ns-3.40/src/buildings/model/building-list.cc
--- ns-3.39/src/buildings/model/building-list.cc	2023-07-05 14:23:47.713427000 -0700
+++ ns-3.40/src/buildings/model/building-list.cc	2023-09-27 13:30:37.618839000 -0700
@@ -158,7 +158,7 @@
 BuildingListPriv::DoDispose()
 {
     NS_LOG_FUNCTION_NOARGS();
-    for (std::vector<Ptr<Building>>::iterator i = m_buildings.begin(); i != m_buildings.end(); i++)
+    for (auto i = m_buildings.begin(); i != m_buildings.end(); i++)
     {
         Ptr<Building> building = *i;
         building->Dispose();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/buildings/model/buildings-channel-condition-model.cc ns-3.40/src/buildings/model/buildings-channel-condition-model.cc
--- ns-3.39/src/buildings/model/buildings-channel-condition-model.cc	2023-07-05 14:23:47.713427000 -0700
+++ ns-3.40/src/buildings/model/buildings-channel-condition-model.cc	2023-09-27 13:30:37.618839000 -0700
@@ -18,11 +18,12 @@
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  */
 
-#include "ns3/buildings-channel-condition-model.h"
+#include "buildings-channel-condition-model.h"
+
+#include "building-list.h"
+#include "mobility-building-info.h"
 
-#include "ns3/building-list.h"
 #include "ns3/log.h"
-#include "ns3/mobility-building-info.h"
 #include "ns3/mobility-model.h"
 
 namespace ns3
@@ -170,7 +171,7 @@
 BuildingsChannelConditionModel::IsLineOfSightBlocked(const ns3::Vector& l1,
                                                      const ns3::Vector& l2) const
 {
-    for (BuildingList::Iterator bit = BuildingList::Begin(); bit != BuildingList::End(); ++bit)
+    for (auto bit = BuildingList::Begin(); bit != BuildingList::End(); ++bit)
     {
         if ((*bit)->IsIntersect(l1, l2))
         {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/buildings/model/buildings-propagation-loss-model.cc ns-3.40/src/buildings/model/buildings-propagation-loss-model.cc
--- ns-3.39/src/buildings/model/buildings-propagation-loss-model.cc	2023-07-05 14:23:47.717427000 -0700
+++ ns-3.40/src/buildings/model/buildings-propagation-loss-model.cc	2023-09-27 13:30:37.618839000 -0700
@@ -21,13 +21,14 @@
 
 #include "buildings-propagation-loss-model.h"
 
+#include "mobility-building-info.h"
+
 #include "ns3/double.h"
 #include "ns3/enum.h"
 #include "ns3/log.h"
 #include "ns3/mobility-model.h"
 #include "ns3/pointer.h"
 #include "ns3/propagation-loss-model.h"
-#include <ns3/mobility-building-info.h>
 
 #include <cmath>
 
@@ -159,11 +160,10 @@
     Ptr<MobilityBuildingInfo> b1 = b->GetObject<MobilityBuildingInfo>();
     NS_ASSERT_MSG(a1 && b1, "BuildingsPropagationLossModel only works with MobilityBuildingInfo");
 
-    std::map<Ptr<MobilityModel>, std::map<Ptr<MobilityModel>, ShadowingLoss>>::iterator ait =
-        m_shadowingLossMap.find(a);
+    auto ait = m_shadowingLossMap.find(a);
     if (ait != m_shadowingLossMap.end())
     {
-        std::map<Ptr<MobilityModel>, ShadowingLoss>::iterator bit = ait->second.find(b);
+        auto bit = ait->second.find(b);
         if (bit != ait->second.end())
         {
             return (bit->second.GetLoss());
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/buildings/model/buildings-propagation-loss-model.h ns-3.40/src/buildings/model/buildings-propagation-loss-model.h
--- ns-3.39/src/buildings/model/buildings-propagation-loss-model.h	2023-07-05 14:23:47.717427000 -0700
+++ ns-3.40/src/buildings/model/buildings-propagation-loss-model.h	2023-09-27 13:30:37.618839000 -0700
@@ -22,11 +22,12 @@
 #ifndef BUILDINGS_PROPAGATION_LOSS_MODEL_H_
 #define BUILDINGS_PROPAGATION_LOSS_MODEL_H_
 
+#include "building.h"
+#include "mobility-building-info.h"
+
 #include "ns3/nstime.h"
 #include "ns3/propagation-loss-model.h"
 #include "ns3/random-variable-stream.h"
-#include <ns3/building.h>
-#include <ns3/mobility-building-info.h>
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/buildings/model/hybrid-buildings-propagation-loss-model.cc ns-3.40/src/buildings/model/hybrid-buildings-propagation-loss-model.cc
--- ns-3.39/src/buildings/model/hybrid-buildings-propagation-loss-model.cc	2023-07-05 14:23:47.717427000 -0700
+++ ns-3.40/src/buildings/model/hybrid-buildings-propagation-loss-model.cc	2023-09-27 13:30:37.618839000 -0700
@@ -21,9 +21,11 @@
 
 #include "hybrid-buildings-propagation-loss-model.h"
 
+#include "itu-r-1238-propagation-loss-model.h"
+#include "mobility-building-info.h"
+
 #include "ns3/double.h"
 #include "ns3/enum.h"
-#include "ns3/itu-r-1238-propagation-loss-model.h"
 #include "ns3/itu-r-1411-los-propagation-loss-model.h"
 #include "ns3/itu-r-1411-nlos-over-rooftop-propagation-loss-model.h"
 #include "ns3/kun-2600-mhz-propagation-loss-model.h"
@@ -31,7 +33,6 @@
 #include "ns3/mobility-model.h"
 #include "ns3/okumura-hata-propagation-loss-model.h"
 #include "ns3/pointer.h"
-#include <ns3/mobility-building-info.h>
 
 #include <cmath>
 
